Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List support companies

GET/workspaces/{organizationId}/support/companies
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring
qstring
Responses
200

Companies list

companiesobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
namestringrequired
domainstring | nullrequired
externalIdstring | nullrequired
externalSourcestringrequired
createdAtstringrequired
updatedAtstringrequired
nextCursorstring | nullrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/support/companies' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "companies": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "domain": "string",
      "externalId": "string",
      "externalSource": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "nextCursor": "string"
}

Was this page helpful?